AWGE(4) | Device Drivers Manual | AWGE(4)

# NAME

`awge` — DesignWare Gigabit Ethernet

# SYNOPSIS

`awge* at fdt?`

# DESCRIPTION

The `awge` driver provides support for the DesignWare GMAC Ethernet.

# SEE ALSO

arp(4), ifmedia(4), mii(4), netintro(4), ifconfig(8)

Synopsys, DesignWare Ethernet GMAC IP, https://www.synopsys.com/dw/ipdir.php?ds=dwc_ether_mac10_100_1000_unive, April, 2019.

# HISTORY

The name `awge` was chosen due to the hardware appearing in Allwinner boards, but `awge` is in use in boards by other manufacturers, e.g., Rockchip.

The `awge` device driver was written by Matt Thomas and Martin Husemann. It first appeared in NetBSD 7.0.

March 22, 2025 | NetBSD 11.0